Project

General

Profile

Bug #1817

missing packages

bill-auger - about 2 years ago - . Updated about 2 years ago.

Status:
fixed
Priority:
critical
Assignee:
-
% Done:

0%


Description

gnome-ring
consolekit
consolekit-openrc

History

#1

Updated by ovruni about 2 years ago

gnome-ring is now ring-gnome: https://www.parabola.nu/packages/community/x86_64/ring-gnome/

I think that consolekit and consolekit-openrc were removed because we are not going to maintain those packages anymore: https://git.parabola.nu/abslibre.git/commit/?id=ea7a98c68745d0a3426b8ba77d5a6274d59916f1

#2

Updated by bill-auger about 2 years ago

ok i thought it looks like the same problem as last week

the reason i opened this is because someone on IRC showed me a pacman error like: "installing consolekit-openrc breaks dependency 'consolekit'" - then i noticed neither of those package existed so something is odd with that persons system

#3

Updated by bill-auger about 2 years ago

so maybe <pribib> just needs to remove 'consolekit-openrc'?

:: Synchronising package databases...
 nonprism is up to date
 libre is up to date
 core is up to date
 extra is up to date
 community is up to date
 pcr is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
:: consolekit-openrc: removing consolekit breaks dependency 'consolekit'
:: ffmpeg2.8: installing x265 (2.7-1) breaks dependency 'libx265.so=146-64'
:: retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libavcodec.so=57-64'
:: retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libavformat.so=57-64'
:: retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libavutil.so=55-64'
:: retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libswresample.so=2-64'
:: retroarch: installing ffmpeg (1:4.0-2) breaks dependency 'libswscale.so=4-64'

#4

Updated by lukeshu about 2 years ago

  • Assignee deleted (lukeshu)

None of those are packages that I necessarily think should exist. Certainly not from db-import, anyway.

  • gnome-ring :: Replaced by community/ring-gnome
  • consolekit :: Arch dropped extra/consolekit in 2012, Megver83 deleted pcr/consolekit on 2018-04-19
  • consolekit-openrc :: obviously never existed in Arch
#5

Updated by bill-auger about 2 years ago

ok so <pribib> should remove 'consolekit' and 'consolekit-openrc' to resolve the conflict? and this will not break anything?

#6

Updated by lukeshu about 2 years ago

I think so.

#7

Updated by ovruni about 2 years ago

Use elogind instead.

#8

Updated by bill-auger about 2 years ago

i am wondering now how did pribib get into this mess - should 'elogind' be made to replace or 'consolekit'?

pribib -

are you following this? why did you install 'consolekit' in the first place?
was that in the documentation? if so, that needs to chage
was it installed automatically? if so, it should have been removed automatically so maybe that is a bug

#9

Updated by ovruni about 2 years ago

First remove consolekit-openrc, then install elogind

#10

Updated by pribib about 2 years ago

i installed consolekit for a pulseaudio error, which has now returned after removing consolekit and installing elogind

E: [pulseaudio] module-console-kit.c: GetSessionsForUnixUser() call failed: org.freedesktop.DBus.Error.AccessDenied: Rejected send message, 1 matched rules; type="method_call", sender=":1.443" (uid=1000 pid=997 comm="pulseaudio -v ") interface="org.freedesktop.ConsoleKit.Manager" member="GetSessionsForUnixUser" error name="(unset)" requested_reply="0" destination="org.freedesktop.ConsoleKit" (uid=0 pid=1877 comm="/usr/bin/console-kit-daemon ")
E: [pulseaudio] module.c: Failed to load module "module-console-kit" (argument: ""): initialization failed.
E: [pulseaudio] main.c: Module load failed.
E: [pulseaudio] main.c: Failed to initialize daemon.

#11

Updated by ovruni about 2 years ago

Is the elogind service running?

#12

Updated by pribib about 2 years ago

ovruni wrote:

Is the elogind service running?

nope, started it and it works fine now, thanks!

#13

Updated by ovruni about 2 years ago

  • Status changed from open to fixed

Also available in: Atom PDF